const defaultGame = {
    _id: '',
    title: '',
    series: '',
    steamId: '',
    slug: '',
    frontImage: '',
    screenshots: [],
    genre: [],
    os: {
        windows: true,
        mac: false,
        linux: false,
        android: false,
        ios: false
    },
    wine: 'Not Tested',
    controller: 'No Controller Support',
    developer: [],
    publisher: [],
    releaseDate: '',
    shortDesc: '',
    reviews: '',
    summary: '',
    intel: 'Not Tested',
    steamRating: 0,
    systemRequirements: {
        windows: {
            minimum: '',
            recommended: '',   
        },
        mac: {
            minimum: '',
            recommended: '',
        },
        linux: {
            minimum: '',
            recommended: '',
        }
    },
    accessedBy: [{
        user: '',
        store: ['Steam'],
        playStatus: 'Never Played',
        soundtrack: 'No',
        rating: 0,
    }],
    createDate: '',
    lastUpdateDate: '',
    lastModifiedBy: '',
    scrape: true,
  }

  export default defaultGame