import { extendTheme, Theme } from '@chakra-ui/react'
import { mode } from '@chakra-ui/theme-tools'
import {loadedPreferences} from "../stateManagement/userState";



export default extendTheme({
  initialColorMode: loadedPreferences.theme,
  useSystemColorMode: false,
  styles: {
    global: (props: Theme) => ({
      body: {
        bg: mode('gray.200', 'gray.800')(props),
      },
    })
  },
})
  